Mail archive
alpine-aports

[alpine-aports] [PATCH 5/6] testing/py-rasterio: new aport

From: Trevor R.H. Clarke <trevor_at_notcows.com>
Date: Sun, 28 Feb 2016 20:54:52 -0500

https://github.com/mapbox/rasterio
Fast and direct raster I/O for use with Numpy and SciPy
---
 testing/py-rasterio/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/py-rasterio/APKBUILD
diff --git a/testing/py-rasterio/APKBUILD b/testing/py-rasterio/APKBUILD
new file mode 100644
index 0000000..5eaafbc
--- /dev/null
+++ b/testing/py-rasterio/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Trevor R.H. Clarke <trevor_at_notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor_at_notcows.com>
+pkgname=py-rasterio
+pkgver="0.31.0"
+pkgrel=0
+pkgdesc="Fast and direct raster I/O for use with Numpy and SciPy"
+url="https://github.com/mapbox/rasterio"
+arch="all"
+license="BSD"
+depends="python py-numpy py-snuggs py-enum34 py-click-plugins py-affine py-cligj gdal"
+makedepends="py-pip python-dev py-numpy-dev gdal-dev"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install rasterio --no-deps --root "$pkgdir"
+}
-- 
2.4.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 28 2016 - 20:54:52 GMT